Apache JMeter

## org.apache.jmeter.control
Interface ReplaceableController

All Known Implementing Classes:
  IncludeController, ModuleController

    public interface ReplaceableController

This interface represents a controller that gets replaced during the compilation phase of test execution in an arbitrary way.

Method Summary
`HashTree` `getReplacementSubTree()` Used to replace the test execution tree (usually by adding the subelements of the TestElement that is replacing the ReplaceableController.
`void` `resolveReplacementSubTree(JMeterTreeNode context)` Compute the replacement tree.

Method Detail

### getReplacementSubTree

    HashTree getReplacementSubTree()

  Used to replace the test execution tree (usually by adding the subelements of the TestElement that is replacing the ReplaceableController.

  See Also:
    `HashTree`

### resolveReplacementSubTree

    void resolveReplacementSubTree(JMeterTreeNode context)

  Compute the replacement tree.

  Parameters:
    `context` -

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.